

val split_ints : string -> int list
val interp_reply : string -> unit;;

(*
Voici les infos dont on dispose :
=================================
*)


type direction = North | South | East | West

val char_of_direction : direction -> char;;

(*
 - board.(colonne).(ligne) : cell = Plain | Water | Wall | Home
	le plateau
        les colonnes 0 et width+1 et les lignes 0 et height+1 sont remplies
        de Wall pour convenance
*)

type cell = Plain | Water | Wall | Home | Robot

val board : cell array array
val width : int
val height : int

(*
 - available.(colonne).(ligne) : Ptset.t
	les paquets disponibles sur chaque case
*)

val available : Ptset.t array array
val available_packages : (int, (int * int)) Hashtbl.t

(*

 - capacity, money : int ref
	la capacit (restante) du robot, son argent (restant)

*)

val capacity : int ref
val money : int ref

(*
 - max_capacity : int 
	sa capacit maximale
*)

val max_capacity : int

(*
 - self : player = { x : int; y : int; load : Ptset.t }
	le robot joueur

*)

type player = { 
  mutable x : int;
  mutable y : int; 
  mutable load : Ptset.t (* set of carried packages *)
}

(*
 - players : (int, player) Hashtbl.t
	tous les joueurs (encore en vie), y compris soi-mme
*)

val players : (int, player) Hashtbl.t

(*
  - packages : (int, packge_info) Hashtbl.t
	tous les paquets connus
	Note: les paquets ports par le joueur sont forcment connus
*)

type package_info = { dest_x : int; dest_y : int; weight : int }

val packages : (int, package_info) Hashtbl.t

(*
 - bases : (int * int) list 
	la liste de toutes les bases

*)

val bases : (int * int) list

(*
occupation des cases par les robots
  contient 0 s'il n'y a pas de robot, et son ID sinon
*)

val robots : int array array

(* nothing changed *)
val next_position : (int * int) ref
val nothing_changed : bool ref

(*

le joueur
*)

val self_id : int
val old2_x : int ref
val old2_y : int ref
val old1_x : int ref
val old1_y : int ref
val self : player

