
(* low-level connection *)

open Unix 

let hostname = 
  try
    let h = gethostbyname Sys.argv.(1) in
    h.h_addr_list.(0)
  with _ ->
    (* may be the address was passed as an IP number *)
    inet_addr_of_string Sys.argv.(1)

let port = int_of_string Sys.argv.(2)

let addr = ADDR_INET (hostname, port)

let cin, cout = open_connection addr

let _ = at_exit (fun () -> shutdown_connection cin)

let read_line () = 
  let l = input_line cin in
  (*i
     Format.printf "*server says : %s@." l; 
   i*)
  l

let send_line s = output_string cout s; output_char cout '\n'; flush cout


